Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.pojo.collection
Class CachedMapImpl

    java.lang.Object
      org.jboss.cache.pojo.collection.CachedMapImpl

All Implemented Interfaces:
  Map

    public class CachedMapImpl

extends Object
implements Map

Map that uses cache as a backend store.

Author:
  Ben Wang, Scott Marlow

Constructor Summary
`CachedMapImpl(PojoCacheImpl pCache, AbstractCollectionInterceptor interceptor)`

Method Summary
`void` | `clear()`
`boolean` | `containsKey(Object object)`
`boolean` | `containsValue(Object object)`
`Set` | `entrySet()`
`boolean` | `equals(Object object)`
`Object` | `get(Object key)`
`int` | `hashCode()`
`boolean` | `isEmpty()`
`Set` | `keySet()`
`Object` | `put(Object key, Object value)`
`void` | `putAll(Map map)`
`Object` | `remove(Object key)`
`int` | `size()`
`String` | `toString()`
`Collection` | `values()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CachedMapImpl

    public CachedMapImpl(PojoCacheImpl pCache,
                         AbstractCollectionInterceptor interceptor)

Method Detail

### get

    public Object get(Object key)

  Specified by:
    `get` in interface `Map`

### put

    public Object put(Object key,
                      Object value)

  Specified by:
    `put` in interface `Map`

### putAll

    public void putAll(Map map)

  Specified by:
    `putAll` in interface `Map`

### remove

    public Object remove(Object key)

  Specified by:
    `remove` in interface `Map`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Map`

### size

    public int size()

  Specified by:
    `size` in interface `Map`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Map`

### containsKey

    public boolean containsKey(Object object)

  Specified by:
    `containsKey` in interface `Map`

### containsValue

    public boolean containsValue(Object object)

  Specified by:
    `containsValue` in interface `Map`

### entrySet

    public Set entrySet()

  Specified by:
    `entrySet` in interface `Map`

### values

    public Collection values()

  Specified by:
    `values` in interface `Map`

### keySet

    public Set keySet()

  Specified by:
    `keySet` in interface `Map`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `Map`
  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object object)

  Specified by:
    `equals` in interface `Map`
  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 JBoss, a division of Red Hat. All Rights Reserved.